View Channel API Endpoint
curl --request GET \
--url https://backend.clipvision.ai/api/channel/ \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://backend.clipvision.ai/api/channel/"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://backend.clipvision.ai/api/channel/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"channel_id": 1,
"disabled": false,
"user_id": 1,
"channel_country": "US",
"channel_website": "https://youtube.com",
"add_date": "2024-03-17T00:00:00.000Z",
"channel_content_category": "Gaming",
"estimated_monthly_earnings": "1000",
"estimated_yearly_earnings": "12000",
"channel_name": "PewDiePie",
"channel_url": "https://www.youtube.com/channel/UCi8e0iOVk1fEOogdfu4YgfA",
"thumbnail": null
}This response has no body data.{
"success": false,
"error": "Internal Server Error"
}api
View Channel API Endpoint
This API endpoint allows a user to view the details of an existing channel.
GET
/
api
/
channel
/
View Channel API Endpoint
Authorizations
Basicapi_key
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Response
Successfully fetched the channel details
⌘I